DROP TABLE IF EXISTS user;
DROP TABLE IF EXISTS todos;

CREATE TABLE user (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  username TEXT UNIQUE NOT NULL,
  password TEXT NOT NULL
);

CREATE TABLE todos (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  user_id INTEGER NOT NULL,
  created TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  title TEXT NOT NULL,
  status INTEGER NOT NULL CHECK (status IN (0,1)),
  FOREIGN KEY (user_id) REFERENCES user (id)
);

